# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc新增跨站点商品至购物车,2252,2252-6,sit,bs
主数据平台:多采商城购物车列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json


module = "cmdc_buyercar_list"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
# 将商品1添加至购物车列表
request_body1 = commonFuc().get_business_data(module, "payload300")
# 发送请求
result1 = requests.post(url, json=request_body1, headers=headers)
result1 = json.loads(result1.content)
# 获取预期结果
check_dict1 = commonFuc().get_business_data(module, "checkDict300")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict1, result1)

# 将商品2添加至购物车列表
request_body = commonFuc().get_business_data(module, "payload301")

"""
 场景:新增跨站点商品至购物车列表
 用例名称：新增跨站点商品至购物车列表
 输出：{"success":true,"code":"200","message":"OK","data":"ok"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = result1.elapsed.total_seconds()
result = json.loads(result.content)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict300")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)