# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc必填字段校验_产品线制单员删除,2293,2293-086,sit,bs
主数据平台:运营后台管理系统产品线制单员删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_product"


# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 验证制单员删除接口必填字段非空校验
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url80")
request_body = commonFuc().get_business_data(module, "payload80")

"""

 场景: 必填字段校验_产品线制单员删除
 用例名称：必填字段校验_产品线制单员删除
 输出：{"success":false,"code":"ADD MARKERMEMBER ERROR","message":"操作失败：制单员Id为空!","data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict80")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

