# -*- encoding=utf8 -*-
__author__ = "liguangyu"

import random

"""
case_tag:cmdc_api,cmdc查看发货时间详情,2293,2293-036,sit,bs
主数据平台:运营后台管理系统发货时间详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取发货时间列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url34")
request_body = commonFuc().get_business_data(module, "payload34")
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
delivery_time_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取发货时间id
delivery_time_id = result["data"]["list"][delivery_time_random]["deliveryTimeId"]

# 获取发货时间详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url36")
request_body = commonFuc().get_business_data(module, "payload36", delivery_time_id)

"""

 场景: 查看发货时间详情
 用例名称：查看发货时间详情
 输出：{"id":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取发货时间详情中id
result = {"id": result["data"]["deliveryTimeId"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict36", delivery_time_id)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
