# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_获取属性值配置列表,2293,2293-073,sit,bs
主数据平台:运营后台管理系统获取属性值配置列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取属性值配置列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url66")
request_body = commonFuc().get_business_data(module, "payload66")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
dirt_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取属性值配置信息
dirt_code = result["data"]["list"][dirt_random]["dirtCode"]
dirt_value_name = result["data"]["list"][dirt_random]["dirtValueName"]
dirt_value_code = result["data"]["list"][dirt_random]["dirtValueCode"]

# 进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url67")
request_body = commonFuc().get_business_data(module, "payload67", dirt_code, dirt_value_name, dirt_value_code)

"""

 场景:查询条件验证_获取属性值配置列表
 用例名称：查询条件验证_获取属性值配置列表
 输出：{"dirtCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中属性配置中对应的属性名称
result = {"dirtCode": result["data"]["list"][0]["dirtCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict67", dirt_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
