# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc上传图片附件接口验证,2294,2294-3,sit,bs
主数据平台:多采商城上传图片附件接口接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json
import os


module = "cmdc_trade"

# 获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 获取文件地址
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/test_file.jpg"

# 进行图片附件上传操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""

 场景: 上传图片附件接口验证
 用例名称：上传图片附件接口验证
 输出：{"success":true,"code":"200","message":"OK"}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers)
result = json.loads(result.content)
# print(result)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

# 文件关闭
file.close()